<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <RootNamespace>OF_DL</RootNamespace>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <ApplicationIcon>Icon\download.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="Icon\download.ico"/>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\OF DL.Core\OF DL.Core.csproj"/>
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Spectre.Console">
      <HintPath>References\Spectre.Console.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <None Update="auth.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="config.conf">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="rules.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
